### Method

# Gck Attribute init_invalid

#### Declaration [src]

    void
    gck_attribute_init_invalid (
      GckAttribute* attr,
      gulong attr_type
    )

#### Description [src]

Initialize a PKCS#11 attribute to an ‘invalid’ or ‘not found’ state. Specifically this sets the value length to (CK_ULONG)-1 as specified in the PKCS#11 specification.

When done with the attribute you should use `gck_attribute_clear()` to free the internal memory.

This method is not directly available to language bindings.

#### Parameters

`attr_type` | `gulong`
| The PKCS#11 attribute type to set on the attribute.